bugGNUstep - Bugs: bug #37709, gnutls deprecated gnutls-config

 
 

You are not allowed to post comments on this tracker with your current authentification level.

bug #37709: gnutls deprecated gnutls-config

Submitted by:  Graham Lee <leeg>
Submitted on:  Sat 10 Nov 2012 06:57:49 PM UTC  
 
Category: Base/FoundationSeverity: 3 - Normal
Item Group: InstallationStatus: Fixed
Privacy: PublicAssigned to: None
Open/Closed: In Test

Fri 05 Apr 2013 03:59:27 PM UTC, comment #4:

I think the problem is not that the configure script is using an old/obsolete mechanism, rather than the modern one, but that the system it's running on doesn't have either the modern (pkg-config) system or the old (gnustls-config) system.

So what the script is doing is:
1. looking for a modern gnutls ... not findng it
2. looking for an old gnutls ... not finding that either

So, I modified it to make a guess at what the required flags might be ... which should give us a better chance of finding a copy of gnutls that's not properly packaged/installed.

Richard Frith-Macdonald <CaS>
Project Member
Fri 05 Apr 2013 01:38:11 PM UTC, comment #3:

Sorry for the delay in responding. I'm using svn trunk, and it still tries to use gnutls-config:

$ ./configure
[…]
checking for libgnutls-config... no
checking for libgnutls - version >= 1.4.0... no

      • The libgnutls-config script installed by libgnutls could not be found
      • If libtgnuls was installed in PREFIX, make sure PREFIX/bin is in
      • your path.

no

You do not appear to have usable libgnutls headers/library.
Building without them will disable SSL/TLS/HTTPS in NSStream,
NSFileHandle, NSURLHandle and NSURLConnection.
If you really want to build gnustep-base without TLS support,
add --disable-tls to the configure arguments.
configure: error: Missing support for TLS functionality.

$ ./configure --with-gnutls-prefix=/usr/local/bin
[…]

checking for libgnutls-config... /usr/local/bin/libgnutls-config
checking for libgnutls - version >= 1.4.0... ./configure: line 24989: /usr/local/bin/libgnutls-config: No such file or directory
./configure: line 24990: /usr/local/bin/libgnutls-config: No such file or directory
./configure: line 24992: /usr/local/bin/libgnutls-config: No such file or directory
./configure: line 24994: /usr/local/bin/libgnutls-config: No such file or directory
./configure: line 24996: /usr/local/bin/libgnutls-config: No such file or directory
no

      • Could not run libtgnuls test program, checking why...

no

You do not appear to have usable libgnutls headers/library.
Building without them will disable SSL/TLS/HTTPS in NSStream,
NSFileHandle, NSURLHandle and NSURLConnection.
If you really want to build gnustep-base without TLS support,
add --disable-tls to the configure arguments.
configure: error: Missing support for TLS functionality.

Graham Lee <leeg>
Wed 16 Jan 2013 08:15:56 PM UTC, comment #2:

Move to in test as it is resolved in SVN and will be in the next release.

Fred Kiefer <FredKiefer>
Project Member
Sun 11 Nov 2012 05:44:28 PM UTC, comment #1:

Which version of GNUstep base are you using? In the current SVN version we use pkconfig to detect gnutls, this should work on systems without gnutls-config. If you are using an older (released) version of GNUstep base, could you please switch to the SVN version and try there?

Fred Kiefer <FredKiefer>
Project Member
Sat 10 Nov 2012 06:57:49 PM UTC, original submission:

The gnutls library doesn't come with gnutls-config any more. That means that even if I've got libgnutls installed in a standard location, and tell configure about it with ./configure --with-tls-prefix=/path/to/gnutls/prefix, -base can't be built with it.

Graham Lee <leeg>

 

No files currently attached

 

Depends on the following items: None found

Items that depend on this one: None found

 

Carbon-Copy List
  • -unavailable- added by CaS (Posted a comment)
  • -unavailable- added by FredKiefer (Posted a comment)
  • -unavailable- added by leeg (Submitted the item)
  •  

    Do you think this task is very important?
    If so, you can click here to add your encouragement to it.
    This task has 0 encouragements so far.

    Only logged-in users can vote.

     

    Please enter the title of George Orwell's famous dystopian book (it's a date):

     

     

    Follow 3 latest changes.

    Date Changed By Updated Field Previous Value => Replaced By
    Wed 16 Jan 2013 08:15:56 PM UTCFredKieferStatusNeed Info=>Fixed
      Open/ClosedOpen=>In Test
    Sun 11 Nov 2012 05:44:28 PM UTCFredKieferStatusNone=>Need Info

    Back to the top


    Powered by Savane 3.1-cleanup